#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT .. $*


arg1=$1 && shift

packlist=
if [ "x$arg1" != "x" ] ; then

  if [ $arg1 == "client" -o $arg1 == "all" ] ; then
    packlist="$packlist ECHOPRINT"
  elif [ $arg1 = "server" -o $arg1 = "all" ] ; then
    packlist="$packlist ECHOPRINT-SERVER"
  else
    echo "Warning: Unrecognized command '$1'" >&2
  fi

else 
  echo "Usage: ./CASCADE-MADE.sh client|server|all [install|clean|distclean|tarclean]" >&2
fi


for d in $packlist ; do
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done
